Skip to content

Get menus

GET
/public/v1/menus
curl --request GET \
--url https://example.kwickbooking.com/public/v1/menus \
--header 'Authorization: Bearer <token>'

Returns the venue’s food and drinks menus by section, with prices, as published in its knowledge base. A menu the venue hasn’t published is null.

venueId
string format: uuid

OK

Media typeapplication/json

GET /public/v1/menus: food and drinks menus from the knowledge base.

object
venueId
required
string format: uuid
source
required
string
food
required
One of:
null
drinks
required
One of:
null
summary
required
string
Example
{
"venueId": "01920000-0000-7000-8000-000000000001",
"source": "knowledge-base",
"food": {
"foodMenu": {
"Small plates": [
{
"id": 1,
"name": "Padrón peppers",
"description": "Sea salt",
"price": "6.50"
}
]
}
},
"drinks": null,
"summary": "Food: 1 section, 1 item."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplevenue-required

Venue required

{
"type": "https://developers.kwickblocks.ai/problems/venue-required",
"title": "Venue required",
"status": 400,
"detail": "Please say which venue this is for."
}

Invalid or missing integration key (https://developers.kwickblocks.ai/problems/invalid-key)

Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Exampleinvalid-key

Invalid or missing integration key

{
"type": "https://developers.kwickblocks.ai/problems/invalid-key",
"title": "Invalid or missing integration key",
"status": 401,
"detail": "This integration key isn't valid. Ask the venue's admin for a new one."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplecapability-missing

Capability not granted

{
"type": "https://developers.kwickblocks.ai/problems/capability-missing",
"title": "Capability not granted",
"status": 403,
"detail": "This integration key isn't allowed to do that. Ask the venue's admin to add the capability."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples

Venue not found

{
"type": "https://developers.kwickblocks.ai/problems/venue-not-found",
"title": "Venue not found",
"status": 404,
"detail": "I couldn't find that venue."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplerate-limited

Too many requests

{
"type": "https://developers.kwickblocks.ai/problems/rate-limited",
"title": "Too many requests",
"status": 429,
"detail": "There have been too many requests. Please try again in a minute."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Exampleservice-unavailable

Temporarily unavailable

{
"type": "https://developers.kwickblocks.ai/problems/service-unavailable",
"title": "Temporarily unavailable",
"status": 503,
"detail": "That information isn't available right now. Please try again shortly."
}